Bug 911658 - (CVE-2013-0292) CVE-2013-0292 dbus-glib: Local privilege escalation due improper filtering of message sender when NameOwnerChanged signal received
CVE-2013-0292 dbus-glib: Local privilege escalation due improper filtering of...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130214,repo...
: Security
Depends On: 911714 913072 913073 913077 913078
Blocks: 911661
  Show dependency treegraph
 
Reported: 2013-02-15 09:54 EST by Jan Lieskovsky
Modified: 2015-11-24 10:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-23 09:45:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 60916 None None None Never

  None (edit)
Description Jan Lieskovsky 2013-02-15 09:54:24 EST
A privilege escalation flaw was found in the way dbus-glib, the D-Bus add-on library to integrate the standard D-Bus library with the GLib thread abstraction and main loop, performed filtering of the message sender (message source subject), when the NameOwnerChanged signal was received. A local attacker could use this flaw to escalate their privileges.

Relevant upstream patch:
[1] http://cgit.freedesktop.org/dbus/dbus-glib/commit/?id=166978a09cf5edff4028e670b6074215a4c75eca

References:
[2] http://www.openwall.com/lists/oss-security/2013/02/15/10
Comment 3 Jan Lieskovsky 2013-02-15 12:52:03 EST
Created dbus-glib tracking bugs for this issue

Affects: fedora-all [bug 911714]
Comment 4 Tomas Hoger 2013-02-18 07:02:42 EST
dbus-glib upstream bug report:

https://bugs.freedesktop.org/show_bug.cgi?id=60916
Comment 7 errata-xmlrpc 2013-02-26 13:29:33 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0568 https://rhn.redhat.com/errata/RHSA-2013-0568.html

Note You need to log in before you can comment on or make changes to this bug.